For the complete documentation index, see llms.txt. This page is also available as Markdown.

Scripting

Access scripting modules, TypeScript declarations, run logs and deprecation data through the VARIO Cloud Scripting API.

Script management

get
Query parameters
onlyEavbooleanOptional

Sollen nur EAV-Typen ausgespielt werden?

Default: false
Responses
200

OK

application/json
string · binaryOptional
get/cmn/scripting/typescript-declarations
GET /cmn/scripting/typescript-declarations HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

binary
get
Path parameters
runIdinteger · int64Required
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

identifierstring · max: 255Required

ID der Session

startedAtstring · date-timeRequired

Startzeitpunkt

finishAtstring · date-timeRequired

Endzeitpunkt

successfulbooleanOptional

War der Run erfolgreich?

Default: true
get/cmn/scripting/script/runs/{runId}
GET /cmn/scripting/script/runs/{runId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "script": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "moduleName": "text",
    "scriptSource": "text",
    "scriptModuleRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    }
  },
  "identifier": "text",
  "logLines": [],
  "startedAt": "2026-01-01T00:00:00.000Z",
  "finishAt": "2026-01-01T00:00:00.000Z",
  "successful": true
}
get
Path parameters
modulestringRequired
Responses
200

OK

application/json

Beschreibung zu einem Skript

get/cmn/scripting/script/module/{module}/script-context-description
GET /cmn/scripting/script/module/{module}/script-context-description HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "mainInstance": {
    "name": "text",
    "description": "text",
    "moduleName": "text",
    "attributes": [],
    "methods": [],
    "usageExample": "text",
    "type": "INSTANCE"
  },
  "availableTypes": [],
  "availableInput": []
}
get
Responses
200

OK

application/json
string[]Optional
get/cmn/scripting/script/module
GET /cmn/scripting/script/module HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[
  "text"
]
get
Responses
200

OK

application/json
string · binaryOptional
get/cmn/scripting/markdown-documentation
GET /cmn/scripting/markdown-documentation HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

binary

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

moduleNamestring · max: 255Required

Modul

containerIdinteger · int64Required

Container ID

deprecatedElementstring · min: 1Required

Element

deprecatedElementTypestring · enumRequired

Arten von Elementen in Skript-Typen

Possible values:
deprecationMessagestring · max: 2147483647Optional

Meldung

get/cmn/scripting/deprecation-log/{id}
GET /cmn/scripting/deprecation-log/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "moduleName": "text",
  "containerId": 1,
  "deprecatedElement": "text",
  "deprecatedElementType": "TYPE",
  "deprecationMessage": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/scripting/deprecation-log/{id}
DELETE /cmn/scripting/deprecation-log/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Last updated

Was this helpful?